Ügyfélszolgálat: +36 70 623 8822

WordPress biztonság: Töröld a WordPress verziót megmutató meta elemet a forráskódodból!

Szerző: Szűcs Ádám Kategória: Bővítmények, Megjelenés - Kinézet - Sablonok, START csomag, Videó, WordPress biztonság

Minden WordPress honlap forráskódjában megtalálható egy ehhez hasonló sor:

<meta name=”generator” content=”WordPress 2.9.2″ />

Bizonyos kinézetek esetén ez a sor kétszer is előfordul a forráskódban, mert a téma is generálja a sort, illetve a WordPress rendszer automatikusan beilleszti a verzió infót a weboldal forráskódjába.

Miért baj ez?
Azért, mert ha a fenti példánál maradunk, ha a 2.9.2 verzióban találnak egy biztonsági hibát, akkor az összes WordPress 2.9.2 verziót használó honlap ki lesz téve ennek a hibának. Ám ha a forrásból ez a sor el van távolítva, nem tudják megállapítani, hogy milyen verzióját használod a WordPressnek.

Mit lehet ellene tenni? Mi a megoldás?
Az alábbi videón bemutatom, hogyan kell törölni ezt a sort a forráskódból.

    

A honlap cookie-kat használ. Részletek

A hatályos jogszabályok alapján kötelező tájékoztatni a látogatókat, hogy a weboldal ún. cookie-kat használ és tárol a számítógépen. Ha ezt nem szeretnéd, akkor a böngésződ megfelelő beállításait használva tiltsd le a cookie-k tárolását, vagy zárd be a weboldalt. Mik azok a cookie-k? Hogyan tudod tiltani a tárolásukat? Hogyan kezelem a személyes adatokat? Mindenre választ ad a részletes adatvédelmi és cookie tájékoztatóm.

Bezárás